Image
Interordi.com Menu
Server IP: play.creeperslab.net
Player lookup:
Players,
support
& more!

News

Java players, 1.16.3 required soon

Posted by Doctacosa on 29 September 2020 at 0:10 [Link]

The various servers will be gradually updated to properly support Java 1.16.3. This will have no impact on the gameplay, but you will have to use that version to continue playing. If you're still on 1.16.2, it's time to update!

0 comments

Be the first to comment!
<< Previous | News archive | Next >>